Autor Tema: Como compilar el compresor advancemame  (Leído 979 veces)

Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 8425
Como compilar el compresor advancemame
« en: 29 de Junio de 2019, 03:23:39 pm »
Citar
A collection of recompression utilities for your .ZIP archives, .PNG snapshots, .MNG video clips and .GZ files http://www.advancemame.it/

La versión de los repositorios oficiales es la v1.20 y esta es la v2.1-5-gfcf71a8

https://github.com/amadvance/advancecomp

Ir a la shell y teclear
1-
Código: [Seleccionar]
git clone https://github.com/amadvance/advancecomp2-
Código: [Seleccionar]
cd advancecomp3-
Código: [Seleccionar]
./autogen.sh
Si os sale este error..
Código: [Seleccionar]
Generating build information using aclocal, automake and autoconf
This may take a while ...
configure.ac:12: installing './compile'
configure.ac:6: installing './missing'
configure.ac:8: error: required file 'config.h.in' not found
Now you are ready to run ./configure

Ejecutad esta instrucción
Código: [Seleccionar]
automake -a
Ahora ya se puede configurar y compilar
Código: [Seleccionar]
./configure && make && strip adv*
Y ya lo tenemos
Citar
240K advdef
268K advmng
228K advpng
244K advzip

Citar
This package contains:
    advzip - Recompression and test utility for zip files
    advpng - Recompression utility for png files
    advmng - Recompression utility for mng files
    advdef - Recompression utility for deflate streams in .png, .mng and .gz files

Adjunto los binarios compilados en Mint 18.3 x86_64

Siempre que pasa igual sucede lo mismo



Fl0ppy

  • Administrador
  • Usuario Héroe
  • *****
  • Mensajes: 8425
Re:Como compilar el compresor advancemame
« Respuesta #1 en: 17 de Enero de 2022, 10:34:34 pm »
Creada versión estática y actualizado a la 2.1-6-g7b08f7a, funciona en cualquier distro, por eso hay un aumento significativo de tamaño
Siempre que pasa igual sucede lo mismo